Imports System.Collections.ObjectModel
Imports EgtBEAMWALL.Core
Imports EgtUILib

Public Class DuploQParameterListVM

#Region "FIELDS & PROPERTIES"

   Private m_colQParam_Value As EgtDataGridColumn
   Public ReadOnly Property colQParam_Value As EgtDataGridColumn
      Get
         Return m_colQParam_Value
      End Get
   End Property

   Private m_colQParam_Custom As EgtDataGridColumn
   Public ReadOnly Property colQParam_Custom As EgtDataGridColumn
      Get
         Return m_colQParam_Custom
      End Get
   End Property

   Private m_QParameterListColumns As New ObservableCollection(Of EgtDataGridColumn)
   Public Property QParameterListColumns As ObservableCollection(Of EgtDataGridColumn)
      Get
         Return m_QParameterListColumns
      End Get
      Set(value As ObservableCollection(Of EgtDataGridColumn))
         m_QParameterListColumns = value
      End Set
   End Property

#Region "Messages"

   Public ReadOnly Property Custom_Msg As String
      Get
         Return EgtMsg(61801)
      End Get
   End Property

   Public ReadOnly Property NAM_Msg As String
      Get
         Return EgtMsg(61808)
      End Get
   End Property

   Public ReadOnly Property Description_Msg As String
      Get
         Return EgtMsg(61603)
      End Get
   End Property

   Public ReadOnly Property Value_Msg As String
      Get
         Return EgtMsg(61615)
      End Get
   End Property

   Public ReadOnly Property Min_Msg As String
      Get
         Return EgtMsg(61616)
      End Get
   End Property
   Public ReadOnly Property Max_Msg As String
      Get
         Return EgtMsg(61617)
      End Get
   End Property

#End Region    ' Messages

#End Region    ' FIELDS & PROPERTIES

#Region "CONSTRUCTOR"

   Sub New()
      ' Aggiungo riferimento a Map
      ' Map.SetRefQParameterListVM(Me)
      ' carico le colonne della datagrid
      GetPrivateProfileColumns(S_DUPLOPARAMETERLIST_Q, QParameterListColumns)
      ' recupero riferimento a colonna Value e Custom
      m_colQParam_Value = QParameterListColumns.FirstOrDefault(Function(x) x.Name = COL_VALUE)
      'm_colQParam_Custom = QParameterListColumns.FirstOrDefault(Function(x) x.Name = COL_CUSTOM)
   End Sub

#End Region    ' CONSTRUCTOR

End Class
